
Figure - Bug #115843
测试 Test-ST # 113421 (New): V4.0功能与专项测试

测试 Test-ST # 113422 (New): V4.0专项--AF专项--monkey测试

【AF】【EVT2】【Monkey】Monkey测试6小时，出现ANR：com.android.deskclock（2）
2023-02-03 14:11 - CD Test赵飞

Status: CLOSED Start date: 2023-02-03

Priority: Normal Due date: 2023-02-28

Assignee: CD Test赵飞 % Done: 100%

Category: CD-APP Estimated time: 0.00 hour

Target version:

Need_Info: -- Found Version: FlatBuild_HH_VX1_MCE_FSE.M.R.user.01.00.0071.X101

Resolution: WONTFIX Degrated: No

Severity: Normal Verified Version:

Reproducibility: Frequently Fixed Version: 2023-02-27

Test Type: Monkey Test Root cause: 应用不搭载，不需要处理

Description

【执行命令】

adb shell

monkey --pkg-blacklist-file /sdcard/blacklist.txt --ignore-crashes --ignore-timeouts  --ignore-security-exceptions  --monitor-native-crashes 

--ignore-native-crashes -s  20  --throttle 500  --pct-touch  30  --pct-motion  15  --pct-nav  15  --pct-majornav  15  --pct-syskeys  5  --pct-appswitch 

10  --pct-anyevent  10  --ignore-crashes   -v -v -v 43200 2>/sdcard/error.txt 1>/sdcard/info.txt

【错误信息】

// NOT RESPONDING: com.android.deskclock (pid 3070)

ANR in com.android.deskclock (com.android.deskclock/.DeskClock)

PID: 3070

Reason: Input dispatching timed out (Application does not have a focused window)

Parent: com.android.deskclock/.DeskClock

Frozen: false

Load: 0.0 / 0.0 / 0.0

----- Output from /proc/pressure/memory -----

some avg10=0.00 avg60=0.00 avg300=0.00 total=0

full avg10=0.00 avg60=0.00 avg300=0.00 total=0

----- End output from /proc/pressure/memory -----

CPU usage from 6562ms to 0ms ago (2023-02-02 02:38:44.422 to 2023-02-02 02:38:50.984):

  6% 1513/system_server: 3.9% user + 2.1% kernel / faults: 1633 minor

  0.8% 2350/com.android.systemui: 0.7% user + 0% kernel / faults: 907 minor

  0.5% 470/kworker/u16:16-kverityd: 0% user + 0.5% kernel

  0% 3070/com.android.deskclock: 0% user + 0% kernel / faults: 113 minor

  0.9% 5603/kworker/u16:9-kgsl-mementry: 0% user + 0.9% kernel

  0% 335/kworker/u16:14-kverityd: 0% user + 0% kernel

  0.7% 7053/kworker/u16:10-kgsl-mementry: 0% user + 0.7% kernel

  0% 1180/mediaserver: 0% user + 0% kernel / faults: 48 minor

  0.1% 21/ksoftirqd/1: 0% user + 0.1% kernel

  0.4% 503/logd: 0.1% user + 0.3% kernel / faults: 4 minor

  0.2% 1162/tlog: 0.1% user + 0% kernel

  0% 2543/com.thundercomm.gamemode: 0% user + 0% kernel / faults: 94 minor
  0.3% 648/vendor.ts.uart@1.0-service: 0.1% user + 0.1% kernel

  0% 1177/media.extractor: 0% user + 0% kernel / faults: 9 minor

  0% 1208/media.swcodec: 0% user + 0% kernel / faults: 24 minor

...

【日志】

ftp://cdiot@192.168.87.46/Pre_figure/Test_Log/Bug_115842/Tlog.zip

Related issues:

Related to Figure - Bug # 116540: 【AF】【EVT3】【Monkey】Monke... CLOSED 2023-02-24 2023-03-15

History

#1 - 2023-02-06 15:47 - CD APP-王营

- Due date set to 2023-02-15

#2 - 2023-02-06 15:48 - CD APP-王营

- Status changed from New to ASSIGNED

#3 - 2023-02-16 09:29 - CD APP-王营

- Due date changed from 2023-02-15 to 2023-02-17

#4 - 2023-02-20 09:15 - CD APP-王营

- Due date changed from 2023-02-17 to 2023-02-28

#5 - 2023-02-27 10:24 - CD APP-王营

- Status changed from ASSIGNED to RESOLVED

- Assignee changed from CD APP-王营 to CD Test赵飞

- % Done changed from 0 to 100

- Resolution changed from -- to WONTFIX

- Degrated changed from -- to No

- Fixed Version set to 2023-02-27

- Root cause set to 应用不搭载，不需要处理

■ Current conclusion

时钟应用已经移除

■ My analysis

时钟应用客户确认不搭载，monkey 测试中不会出现此应用相关问题

■Next action

请测试同学关闭此bug，其他应用的ANR继续分析。

#6 - 2023-02-27 11:24 - CD Test赵飞

- Status changed from RESOLVED to VERIFIED

根据最新需求，com.android.deskclock应用已移除，此问题不需要再处理

关闭此问题
#7 - 2023-02-27 13:36 - CD Test赵飞

- Status changed from VERIFIED to CLOSED
